### Constructor

# WebKit2 WebView new_with_settings

since: 2.6

#### Declaration [src]

    GtkWidget*
    webkit_web_view_new_with_settings (
      WebKitSettings* settings
    )

#### Description [src]

Creates a new `WebKitWebView` with the given `WebKitSettings`.

See also webkit_web_view_new_with_context(), and webkit_web_view_new_with_user_content_manager().

Available since: 2.6

#### Parameters

`settings`

  Type: `WebKitSettings`

  A `WebKitSettings`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The newly created `WebKitWebView` widget.

The data is owned by the called function.